import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://raw.githubusercontent.com/lukes/ISO-3166-Countries-with-Regional-Codes/master/slim-3/slim-3.csv';

const row = d => {
 	d.coords = d['Location Coordinates'].split(",").map(d => +d).reverse();
 	d['Total Dead and Missing'] = +d['Total Dead and Missing'];
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);


  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
